org.apache.solr.client.solrj.cloud.autoscaling

## Class PolicyHelper.SessionWrapper

- java.lang.Object
- - org.apache.solr.client.solrj.cloud.autoscaling.PolicyHelper.SessionWrapper

Enclosing class:
  PolicyHelper

    public static class PolicyHelper.SessionWrapper
    extends Object

### Field Summary

Fields
`static PolicyHelper.SessionWrapper` `DEF_INST`
`PolicyHelper.Status` `status`

### Constructor Summary

Constructors
Constructor and Description
`SessionWrapper(Policy.Session session, org.apache.solr.client.solrj.cloud.autoscaling.PolicyHelper.SessionRef ref)`

### Method Summary

All Methods Instance Methods Concrete Methods
`Policy.Session` `get()`
`long` `getCreateTime()`
`long` `getLastUpdateTime()`
`int` `getRefCount()`
`void` `release()`
`void` `returnSession(Policy.Session session)` return this for later use and update the session with the latest state ensure that this is done after computing the suggestions
`PolicyHelper.SessionWrapper` `update(Policy.Session session)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### DEF_INST

    public static final PolicyHelper.SessionWrapper DEF_INST

#### status

    public PolicyHelper.Status status

### Constructor Detail

#### SessionWrapper

    public SessionWrapper(Policy.Session session,
                          org.apache.solr.client.solrj.cloud.autoscaling.PolicyHelper.SessionRef ref)

### Method Detail

#### getCreateTime

    public long getCreateTime()

#### getLastUpdateTime

    public long getLastUpdateTime()

#### get

    public Policy.Session get()

#### update

    public PolicyHelper.SessionWrapper update(Policy.Session session)

#### getRefCount

    public int getRefCount()

#### returnSession

    public void returnSession(Policy.Session session)

return this for later use and update the session with the latest state ensure that this is done after computing the suggestions

#### release

    public void release()